## Index → Modules → Validators

### Validator: Htpasswd

This validator uses htpasswd files, which are very common on Apache web sever environments. It stores one line per entry with the user name and a hash of the password.

Cherokee supports the following hash algorithms:

- MD5

- MD5-crypt

- Apache MD5

- SHA1

- crypt.

The htpasswd validator can use a flat-file generated by the Apache htpasswd command.

#### Parameters

Parameter | Description
--- | ---
passwdfile | Required. The location of the user/pass file.

#### Compatibility

This validator is compatible with the basic scheme, it’s not suitable for HTTP Digest.